Package com.enonic.xp.schema

## Class BaseSchema<T extends BaseSchemaName>

- java.lang.Object
- - com.enonic.xp.schema.BaseSchema<T>

- Direct Known Subclasses:
    `ContentType`, `Mixin`, `RelationshipType`, `XData`

      @PublicApi
      public abstract class BaseSchema<T extends BaseSchemaName>
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `BaseSchema.Builder<T extends BaseSchema.Builder,​SCHEMA_NAME extends BaseSchemaName>` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `BaseSchema​(BaseSchema.Builder builder)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `Instant` | `getCreatedTime()` |
    `PrincipalKey` | `getCreator()` |
    `String` | `getDescription()` |
    `String` | `getDescriptionI18nKey()` |
    `String` | `getDisplayName()` |
    `String` | `getDisplayNameI18nKey()` |
    `Icon` | `getIcon()` |
    `Instant` | `getModifiedTime()` |
    `PrincipalKey` | `getModifier()` |
    `T` | `getName()` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseSchema

          protected BaseSchema​(BaseSchema.Builder builder)

  - ### Method Detail

    - #### getName

          public T getName()

    - #### getDisplayName

          public String getDisplayName()

    - #### getDisplayNameI18nKey

          public String getDisplayNameI18nKey()

    - #### getDescription

          public String getDescription()

    - #### getDescriptionI18nKey

          public String getDescriptionI18nKey()

    - #### getCreatedTime

          public Instant getCreatedTime()

    - #### getModifiedTime

          public Instant getModifiedTime()

    - #### getCreator

          public PrincipalKey getCreator()

    - #### getModifier

          public PrincipalKey getModifier()

    - #### getIcon

          public Icon getIcon()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`